# NQL avg()

`avg()` コマンドはメトリックの平均値を返します。

コンテンツセクションには、以下のようなものがあります。

{% code overflow="wrap" lineNumbers="true" %}

```
過去30分のデバイス数
| 過去30分のweb.page_viewsを含む
| avg_page_load = page_load_time.overall.avg() の算出
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```
過去30分のweb.page_views
| c = page_load_time.overall.avg() の集計
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nexthink.com/platform/ja/understanding-key-data-platform-concepts/nexthink-query-language-nql/nql-functions/nql-avg.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
